com.streambase.liveview.client.alert

## Interface SendTupleAction

- All Superinterfaces:
    AlertRuleAction

      public interface SendTupleAction
      extends AlertRuleAction

  An action which will send a Tuple to a named InputStream
  Since:
    2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.streambase.liveview.client.alert.AlertRuleAction

      `AlertRuleAction.ActionType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getFieldSubstitutions()` Gets the map of fieldSubstitutions.
    `String` | `getInputStream()` Gets the value of the inputStream property.
    `String` | `getSbUri()` Gets the value of the sbUri property.
    `void` | `setInputStream(String value)` Sets the value of the inputStream property.
    `void` | `setSbUri(String value)` Sets the value of the sbUri property.

    - ### Methods inherited from interface com.streambase.liveview.client.alert.AlertRuleAction

      `getActionType, getDescription, isEnabled, setDescription, setEnabled`

- - ### Method Detail

    - #### getFieldSubstitutions

          Map<String,String> getFieldSubstitutions()

      Gets the map of fieldSubstitutions. Note that this is the live Map, not a checkpoint, so you can add, remove, and modify the elements in the map and these changes will be saved.
      Returns:
        possible object is `Map`

    - #### getSbUri

          String getSbUri()

      Gets the value of the sbUri property.
      Returns:
        possible object is `String`

    - #### setSbUri

          void setSbUri(String value)

      Sets the value of the sbUri property.
      Parameters:
        `value` - allowed object is `String`

    - #### getInputStream

          String getInputStream()

      Gets the value of the inputStream property.
      Returns:
        possible object is `String`

    - #### setInputStream

          void setInputStream(String value)

      Sets the value of the inputStream property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.